Node threshold service 6 matching interfaces
Create a threshold createNodeThreshold
POST /NodeThresholdService/createNodeThreshold
Definition file service_node_threshold.proto
Available roles Administrator Node Original definition Request message Response message Original definition Copy coderpc createNodeThreshold ( CreateNodeThresholdRequest ) returns ( CreateNodeThresholdResponse );
Request message CreateNodeThresholdRequestCreate a threshold
Request message · Field definitions Copy codemessage CreateNodeThresholdRequest {
string role = 1 ;
int64 nodeClusterId = 2 ;
int64 nodeId = 3 ;
string item = 4 ;
string param = 5 ;
string operator = 6 ;
bytes valueJSON = 7 ;
string message = 8 ;
int32 duration = 9 ;
string durationUnit = 10 ;
string sumMethod = 11 ;
int32 notifyDuration = 12 ;
}
Response message CreateNodeThresholdResponse Response message · Field definitions Copy codemessage CreateNodeThresholdResponse {
int64 nodeThresholdId = 1 ;
}